Bug 211911 - audio/teamspeak3-server: Update to 3.0.13.2 (fixes security vulnerabilities)
Summary: audio/teamspeak3-server: Update to 3.0.13.2 (fixes security vulnerabilities)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL: http://forum.teamspeak.com/threads/12...
Keywords: easy, security
Depends on:
Blocks:
 
Reported: 2016-08-16 16:45 UTC by Ultima
Modified: 2016-08-30 18:16 UTC (History)
2 users (show)

See Also:
pi: merge-quarterly+


Attachments
teamspeak3-server.diff (1.49 KB, patch)
2016-08-16 16:45 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
teamspeak3-server.diff (2.16 KB, patch)
2016-08-16 20:47 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
TeamSpeak 3 Server Vulnerability Disclosure (via pastebin) (7.94 KB, text/plain)
2016-08-17 09:52 UTC, Kubilay Kocak
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ultima 2016-08-16 16:45:08 UTC
Created attachment 173746 [details]
teamspeak3-server.diff

This is an update to teamspeak server. This update fixes several vulnerabilities and crash/deadlocks introduced in 3.0.13.1.

* Updated to 3.0.13.2

 - fixed several vulnerabilities.
 - fixed a crash introduced in 3.0.13.1
 - fixed a deadlock in the server causing some instances to hang / be unresponsive
 - fixed a crash reported by a customer.


portlint -AC:
WARN: Makefile: possible use of absolute pathname "/var/db/teamspeak".
WARN: Makefile: possible use of absolute pathname "/var/log/teamspeak".
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
WARN: Makefile: new ports should not set PORTEPOCH.
WARN: Makefile: using hyphen in PORTNAME. consider using PKGNAMEPREFIX and/or PKGNAMESUFFIX.
WARN: Makefile: "RESTRICTED" found. do not forget to update ports/LEGAL.
0 fatal errors and 6 warnings found.

poudriere -tC:
12amd64: success
12i386: success
11amd64: is marked as broken on FreeBSD 11.0: Will not start on 11
11i386: is marked as broken on FreeBSD 11.0: Will not start on 11
101amd64: success
101i386: success
93amd64: is marked as broken on FreeBSD 9.3: No longer starts on 9.x
93i386: is marked as broken on FreeBSD 9.3: No longer starts on 9.x
Comment 1 Kurt Jaeger freebsd_committer 2016-08-16 19:24:55 UTC
Testbuilds done.

Can we change the wording of the pkg-message.in ?

Before:

Version 3.0.13 adds ipv6 support, if ipv6 is not desired, it can be
removed by adding 'voice_ip=0.0.0.0' and 'filetransfer_ip=0.0.0.0'
to %%ETCDIR%%/ts3server.ini

After:

Version 3.0.13 adds ipv6 support. To disable ipv6, add 'voice_ip=0.0.0.0'
and 'filetransfer_ip=0.0.0.0' to
%%ETCDIR%%/ts3server.ini

Side note: Is that really the procedure to disable ipv6 ?
Comment 2 Ultima 2016-08-16 20:33:24 UTC
(In reply to Kurt Jaeger from comment #1)

Yeah the message.in change would be easier to read. I may not be able to post a new patch till tomorrow tho.

This seems to be the only way to disable ipv6 support. By default, those two var's default to 0.0.0.0 / 0::0, in order to change this default it has to be within the ini. It maybe possible to change the var on startup via arg however the documentation for teamspeak is pretty sparse. I received the ini solution posting on the teamspeak forums.
Comment 3 Ultima 2016-08-16 20:47:02 UTC
Created attachment 173755 [details]
teamspeak3-server.diff

I had just enough time. =]
Comment 4 commit-hook freebsd_committer 2016-08-17 05:43:09 UTC
A commit references this bug:

Author: pi
Date: Wed Aug 17 05:42:58 UTC 2016
New revision: 420318
URL: https://svnweb.freebsd.org/changeset/ports/420318

Log:
  audio/teamspeak3-server: 3.0.13 -> 3.0.13.2

  - fixed several vulnerabilities.
  - fixed a crash introduced in 3.0.13.1
  - fixed a deadlock in the server causing some instances to
    hang / be unresponsive
  - fixed a crash reported by a customer.

  PR:		211911
  Changes:	http://forum.teamspeak.com/threads/126318-TeamSpeak-3-Server-3-0-13-2-released
  Submitted by:	Ultima1252@gmail.com (maintainer)

Changes:
  head/audio/teamspeak3-server/Makefile
  head/audio/teamspeak3-server/distinfo
  head/audio/teamspeak3-server/files/pkg-message.in
Comment 5 Kurt Jaeger freebsd_committer 2016-08-17 05:43:15 UTC
Committed, thanks!
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2016-08-17 09:51:33 UTC
Re-open for MFH, even though the teamspeak vulnerabilities have not (still?) had CVE's assigned to them, they are publicly disclosed vulnerabilities.
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2016-08-17 09:52:17 UTC
Created attachment 173768 [details]
TeamSpeak 3 Server Vulnerability Disclosure (via pastebin)
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2016-08-17 09:53:46 UTC
Note, I have not correlated/compared the vulnerabilities disclosed on pastebin to those purported to be resolved in 3.0.13.2
Comment 9 Kubilay Kocak freebsd_committer freebsd_triage 2016-08-17 09:57:18 UTC
A VuXML entry is also warranted, even if *just* referring to those vulnerabilities mentioned by upstream, unless they can be also linked with those disclosed via pastebin
Comment 10 commit-hook freebsd_committer 2016-08-30 18:08:49 UTC
A commit references this bug:

Author: pi
Date: Tue Aug 30 18:08:00 UTC 2016
New revision: 421127
URL: https://svnweb.freebsd.org/changeset/ports/421127

Log:
  audio/teamspeak3-server: 3.0.12.4 -> 3.0.13.2

  MFH: r419885 r420202 r420318

  - fixed several vulnerabilities.
  - fixed a crash introduced in 3.0.13.1
  - fixed a deadlock in the server causing some instances to
    hang / be unresponsive
  - fixed a crash reported by a customer.

  PR:		211638, 211848, 211911
  Changes:	http://forum.teamspeak.com/threads/126318-TeamSpeak-3-Server-3-0-13-2-released
  Submitted by:	Ultima1252@gmail.com (maintainer)
  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2016Q3/
  branches/2016Q3/audio/teamspeak3-server/Makefile
  branches/2016Q3/audio/teamspeak3-server/distinfo
  branches/2016Q3/audio/teamspeak3-server/files/pkg-message.in
  branches/2016Q3/audio/teamspeak3-server/pkg-plist
Comment 11 Kurt Jaeger freebsd_committer 2016-08-30 18:16:14 UTC
(In reply to Kubilay Kocak from comment #9)
That vuxml entry can be found in PR#211846